@import "../../index.scss";

.secondSec {
    display: flex;
    padding-top: 153px;
    padding-bottom: 50px;
    flex-direction: column;
    overflow: hidden;
}

.mainImgWrapper {
    align-self: center;
    position: relative;
}

.imgCircle {
    display: flex;
    margin: 0 auto;
    overflow: hidden;
    width: min-content;
}

.mainImg {
    width: 369px;
}

.text {
    font-size: 20px;
    margin-top: 84px;
    color: $darkFont;
    font-weight: 400;
    text-align: center;
    line-height: 25.5px;
}

.spanText {
    font-weight: 700;
    display: block;
    color: #00acc8;
}

//question

.questionWrapper1,
.questionWrapper2,
.questionWrapper3,
.questionWrapper4 {
    position: absolute;
}

.questionWrapper1 {
    top: -72px;
    left: -191.71px;
    .question p {
        width: 130px;
        left: 18.71px;
    }
}

.questionWrapper2 {
    bottom: -38.7px;
    left: -236.01px;
    .question p {
        width: 173px;
        left: 14px;
    }
}

.questionWrapper3 {
    top: -73px;
    right: -261px;
    .question p {
        width: 173px;
        left: 66px;
    }
}

.questionWrapper4 {
    bottom: -49.67px;
    right: -252px;
    .question p {
        width: 173px;
        left: 50.03px;
    }
}

.question {
    position: relative;
    p {
        top: 50%;
        font-weight: 500;
        font-size: 15px;
        color: $darkFont;
        position: absolute;
        text-align: center;
        line-height: 19.12px;
        transform: translateY(-50%);
    }
    img {
        width: 100%;
    }
}

@media (max-width: 1024px) {
    .mainImg {
        width: 250px;
    }
    .question {
        p {
            font-size: 12px;
        }
        img {
            width: 80%;
        }
    }
    .questionWrapper1 {
        top: -50px;
        left: -160px;
        .question p {
            width: 100px;
            left: 18.71px;
        }
    }
    .questionWrapper2 {
        bottom: -40px;
        left: -190px;
        .question p {
            width: 150px;
            left: 10px;
        }
    }

    .questionWrapper3 {
        .question p {
            bottom: 20px;
            width: 130px;
            left: 60px;
        }
    }

    .questionWrapper4 {
        .question p {
            width: 120px;
            left: 50.03px;
        }
    }
}

@media (max-width: 700px) {
    .mainImg {
        width: 200px;
    }
}

@media (max-width: 650px) {
    .mainImg {
        width: 135px;
    }
    .text {
        font-size: 16px;
        line-height: 20.4px;
    }

    .question {
        p {
            line-height: 14px;
            font-size: 12px;
        }
    }

    .questionWrapper1 {
        top: -50px;
        left: -120px;
        .question {
            img {
                width: 128px;
            }
        }
        .question p {
            width: 80px;
            left: 15px;
        }
    }
    .questionWrapper2 {
        bottom: -70px;
        left: -130px;
        .question {
            img {
                object-fit: contain;
                height: 119px;
                width: 140px;
            }
        }
        .question p {
            width: 82px;
            left: 20px;
            bottom: -14px;
        }
    }

    .questionWrapper3 {
        top: -70px;
        right: -134px;
        .question {
            img {
                width: 155px;
            }
        }
        .question p {
            bottom: -10px;
            width: 123px;
            left: 25px;
        }
    }

    .questionWrapper4 {
        bottom: -70px;
        right: -140px;
        .question {
            img {
                width: 145px;
            }
        }
        .question p {
            width: 106px;
            left: 30px;
        }
    }
}
@media (max-width: 440px) {
    .question p {
        font-size: 10px;
        line-height: 12.75px;
    }
    .secondSec {
        padding: 141px 0 28px 0;
    }
    .text {
        max-width: 283px;
        margin: 0 auto;
        margin-top: 110px;
    }
    .questionWrapper1 {
        top: -80px;
        left: -100px;
    }
    .questionWrapper2 {
        bottom: -100px;
        left: -110px;
        .question p {
            width: 114px;
            left: 4px;
            bottom: 30px;
        }
    }

    .questionWrapper3 {
        top: -110px;
        right: -110px;
        .question p {
            width: 122px;
            left: 30px;
            bottom: 20px;
        }
    }

    .questionWrapper4 {
        bottom: -100px;
        right: -100px;
        .question {
            img {
                width: 139px;
            }
        }
        .question p {
            width: 106px;
            left: 20px;
        }
    }
}
